"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const unist_util_visit_1 = __importDefault(require("unist-util-visit"));
function attacher() {
    const transformer = (tree) => {
        const visitor = (node) => {
            if (node.tagName === 'p') {
                node.properties['style'] = 'padding-top: 1rem;';
            }
        };
        unist_util_visit_1.default(tree, 'element', visitor);
    };
    return transformer;
}
exports.default = attacher;
